<bugID>1120716<Summary>Offer a "learn more" link somewhere in the migration UI</Summary><Description>I've noticed that nowhere in the migration flow is a "learn more" link for people who are offered a migration.  There may be a number of users who want to understand exactly why this migration is being offered and how the new system works, but there's no way for them to learn about it.

I was thinking the infobar, or sync prefs, or something, should have a "learn more" link which takes the user to an MDN article.

Ryan, do you agree?  If not, we can close this as WONTFIX.  If so, I guess we need to know exactly where such a link would be added and a new bug for someone to create that content.</Description></bugID>